# 17. Consulta: obtener "SoilDatasets"

Obtén todos los "SoilDatasets" para el "Field" seleccionado. Los conjuntos de datos se pueden recuperar usando consultas genéricas de GraphQL como `getFarms` y `getFields` desde el "Field" vinculado.&#x20;

{% hint style="warning" %}
Un "SoilDataset" debe cargarse previamente.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #patrón "<OperationType> <YYYY-mm-DD>"
        operationId #si existe
        number #número total de geofeatures
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #detalles completos por atributo
          name #enlace a estadísticas >> atributo
          transliteratedName
          fullName #si existe
          unit #si existe
        }

        createdDate #fecha y hora de creación de la entidad en GeoPard
        updatedDate #fecha y hora de la última actualización
        operationType
        operationId
        operationFileDate #fecha y hora de creación del archivo
        operationStartDate #inicio de la operación
        
        statistics { #distribución estadística para cada atributo del suelo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        name  
        operationId #si existe 
        number #número total de geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #enlace a estadísticas >> atributo
          transliteratedName
          fullName #si existe
          unit #si existe
        }
      
        createdDate #fecha y hora de creación en GeoPard
        updatedDate #fecha y hora de la última actualización en GeoPard
        operationFileDate #fecha y hora de creación del archivo (si existe)
        operationStartDate #inicio de la operación (si existe)
      
        statistics { #distribución estadística para cada atributo del suelo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #representación visual
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/17.-consulta-obtener-soildatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
